﻿<%@ Assembly Name="Microsoft.SharePoint.ApplicationPages, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"%> 
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="RH.WikiWebpart, Version=1.0.0.0, Culture=neutral, PublicKeyToken=b17a955c3eada4c1" %> 
<%@ Page Language="C#" Inherits="RH.RHWikiUploadSettingsPage" MasterPageFile="~/_layouts/application.master"%>
<%@ Register Tagprefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="~/_controltemplates/ButtonSection.ascx" %>
<asp:Content ID="Content1" contentplaceholderid="PlaceHolderPageTitle" runat="server">Wiki Picture/Document Upload</asp:Content>
<asp:Content ID="Content2" contentplaceholderid="PlaceHolderPageTitleInTitleArea" runat="server">
Wiki Picture/Document Upload:
<a id=onetidListHlink HREF=<% SPHttpUtility.AddQuote(SPHttpUtility.UrlPathEncode(List.DefaultViewUrl,true),Response.Output);%>><%SPHttpUtility.HtmlEncode(List.Title,Response.Output);%></a>
</asp:Content>
<asp:Content ID="Content3" contentplaceholderid="PlaceHolderPageDescription" runat="server"></asp:Content>
<asp:Content ID="Content4" contentplaceholderid="PlaceHolderAdditionalPageHead" runat="server"></asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="PlaceHolderMain" runat="server">
<table><tr><td class="ms-error"><asp:Label ID="LabelErrorMessage" Runat="server" EnableViewState="False" /></td></tr></table>
<TABLE border="0" width="100%" cellspacing="0" cellpadding="0" class="ms-descriptiontext">
<wssuc:InputFormSection runat="server" id="configureUploadWebpart" Title="Enable Picture/Document Upload Webpart">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="" EncodeMethod='HtmlEncode'/>
		<SharePoint:FormattedStringWithListType runat="server" String="If enabled, a Webpart will enable your users to upload picture/documents from discussions." />
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
				<asp:CheckBox ID="EnableUploadWebpart" Runat="server" Text="enable Picture/Document Upload Webpart" />
				<asp:Label><br/>Places the Upload Webpart beneath the default edit dialog</asp:Label>
			 </Template_Control>
		</wssuc:InputFormControl>
    </Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:InputFormSection runat="server" id="notes" Title="Note">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="" EncodeMethod='HtmlEncode'/>
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
                <asp:Label>If you plan to remove the Upload Webpart Feature, be sure to first remove the Webpart from every Discussion list where you have used the feature. This step makes sure you will have ghosted forms again.<br/>A good explanation can be found here http://blogs.msdn.com/joelo/archive/2007/05/07/to-unghost-or-not-unghost-that-is-the-question.aspx</asp:Label>
			 </Template_Control>
		</wssuc:InputFormControl>
    </Template_InputFormControls>
</wssuc:InputFormSection>

<wssuc:InputFormSection runat="server" id="updates" Title="latest version">
	<Template_Description>
		<SharePoint:EncodedLiteral runat="server" text="" EncodeMethod='HtmlEncode'/>
		<SharePoint:FormattedStringWithListType runat="server" String="Click 'Latest Version' to check for updates which you can find on http://www.hezser.de/blog" />
	</Template_Description>
   <Template_InputFormControls>
		<wssuc:InputFormControl runat="server">
			 <Template_Control>
				<asp:Label ID="CurrentVersion" Runat="server" Text="" />
				<asp:Label ID="LatestVersion" Runat="server" Text="" />
			 </Template_Control>
		</wssuc:InputFormControl>
    </Template_InputFormControls>
</wssuc:InputFormSection>
<wssuc:ButtonSection runat="server">
	<Template_Buttons>
	    <asp:Button ID="CheckLatestVersion" Runat="server" class="ms-ButtonHeightWidth" OnClick="CheckLatestVersion_Click" Text="Latest Version" />
		<asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnSave_Click" Text="<%$Resources:wss,multipages_savebutton_text%>" id="BtnSave" accesskey="<%$Resources:wss,multipages_savebutton_accesskey%>"/>
	</Template_Buttons>
</wssuc:ButtonSection>
</TABLE>
</asp:Content>
