﻿using System;

namespace RH.Update
{
    public class LatestVersion
    {
        private readonly Version _Version;
        private readonly DateTime _PublishDate;

        public Version Version
        {
            get { return _Version; }
        }

        public DateTime PublishDate
        {
            get { return _PublishDate; }
        }

        public string ErrorText { get; private set; }

        public LatestVersion()
        {
        }

        public LatestVersion(string ErrorText)
        {
            _Version = new Version();
            this.ErrorText = ErrorText;
        }

        public LatestVersion(string Version, DateTime PublishDate, string ErrorText)
        {
            _Version = new Version(Version);
            _PublishDate = PublishDate;
            this.ErrorText = ErrorText;
        }
    }
}
